# $Revision: 1.4 $, $Date: 2009/09/18 09:23:54 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	DateTime
%define	pnam	Event-Cron
Summary:	DateTime::Event::Cron - DateTime extension for generating recurrence sets from crontabs
Summary(pl.UTF-8):	DateTime::Event::Cron - rozszerzenie DateTime do generowania zbiorów powtarzalności z crontabów
Name:		perl-DateTime-Event-Cron
Version:	0.07
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Date/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ee2867ca4ef50ecf595904af3d322ee8
URL:		http://search.cpan.org/dist/DateTime-Event-Cron/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Set-Crontab
BuildRequires:	perl-DateTime-Set
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DateTime::Event::Cron generated DateTime events or DateTime::Set
objects based on crontab-style entries.

%description -l pl.UTF-8
DateTIme::Event::Cron generuje zdarzenia DateTime lub obiekty
DateTime::Set z wpisów w stylu crontaba.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/DateTime/Event/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-DateTime-Event-Cron.spec,v $
Revision 1.4  2009/09/18 09:23:54  amateja
- release 2

Revision 1.3  2008/03/23 20:20:47  qboosh
- pl
- generic URL

Revision 1.2  2008-02-19 21:21:24  agaran
- missing BR

Revision 1.1  2008-01-03 12:17:48  agaran
- initial, builds here, tests passing here, rel 1, stbr(ac)
